% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 11: Razonamiento Basado en Casos
% Autores: Ángela Ribeiro, Xavier P. Burgos Artizzu y Jesús M. Conesa Muńoz

% Método de Eliminación de líneas de cultivo E1
% Analysis of natural images processing for the extraction of agricultural
% elements. Image Vision Comput. 28(1): 138-149 (2010)
function proporcion_eliminados = eliminaLineasE1(im)
    [f,c,x] = size(im);
    ims = segmenta(im);
    ims = ims/255;
    aux = ims;
    perc = 0.35;
    
    v = sum(aux(:,1:c));
    aux2 = zeros(f,c,3);
    aux2(:,:,1) = ims;
    aux2(:,:,2) = ims;
    aux2(:,:,3) = ims;
 
    maximo = max(v);
    
    perc = maximo - (perc*maximo);
    ind1 = find(v>perc);
    aux(1:f,ind1) = 0;
    aux2(1:f,ind1,1)=255;
    aux2(1:f,ind1,2)=255;
    aux2(1:f,ind1,3)=0;
     
    %Si se desea ver el resultado de la eliminación
    %figure,imshow(aux2)
    
    proporcion_eliminados = length(ind1)/c;
    